#ifndef _UIC_FONT_REND_H_
#define _UIC_FONT_REND_H_

#include <gio/gio.h>


typedef struct _uic_font uic_font;

uic_font *uic_font_new();


void uic_font_set_family(uic_font *ufont, const char *fam);

void uic_font_set_size(uic_font *ufont, gint size);

void uic_font_set_style(uic_font *ufont, PangoStyle style);


const char *uic_font_get_family(uic_font *ufont);

gint uic_font_get_size(uic_font *ufont);

PangoStyle uic_font_get_style(uic_font *ufont);


void uic_font_delete(uic_font *ufont);


#endif

